Summary: Utilities for managing accounts and shadow password files.
Name: shadow-utils
Version: 4.0.17
Release: 18%{?dist}.1
Epoch: 2
URL: http://shadow.pld.org.pl/
Source0: ftp://ftp.pld.org.pl/software/shadow/shadow-%{version}.tar.bz2
Source1: shadow-4.0.17-login.defs
Source2: shadow-970616.useradd
Source3: shadow-4.0.16-nscd.c
Patch0: shadow-4.0.17-redhat.patch
Patch1: shadow-4.0.3-noinst.patch
Patch2: shadow-4.0.11.1-vipw.patch
Patch3: shadow-4.0.14-goodname.patch
Patch4: shadow-4.0.13-newgrpPwd.patch
Patch5: shadow-4.0.16-lOption.patch
#obsolete by uids: 
#Patch6: shadow-4.0.17-UID_GID.patch
Patch7: shadow-4.0.17-notInheritFd.patch
Patch8: shadow-4.0.17-exitValues.patch
Patch9: shadow-4.0.17-aOption.patch
Patch10: shadow-4.0.17-auditLogging.patch
Patch11: shadow-4.0.17-useradd.patch
Patch12: shadow-4.0.17-mail.patch
Patch13: shadow-4.0.17-findNewUidOnce.patch
Patch14: shadow-4.0.17-duplicateGroupEntries.patch
Patch15: shadow-4.0.17-sha256Support.patch
#obsolete by uids
#Patch16: shadow-4.0.17-groupRoot.patch
#obsolete by uids
#Patch17: shadow-4.0.17-uidmanip.patch
Patch18: shadow-4.0.17-longprint.patch
Patch19: shadow-4.0.17-basedir.patch
Patch20: shadow-4.0.17-info.patch
Patch21: shadow-4.0.17-useLDAPuser.patch
Patch22: shadow-4.0.17-negativeID.patch
#obsolete by argparse
#Patch23: shadow-4.0.17-allEnt.patch
Patch24: shadow-4.0.17-overflow.patch
Patch25: shadow-4.0.17.moshiro.patch 
#513055, #673091
Patch26: shadow-4.0.17-acl.patch
#619150, #619713
Patch27: shadow-4.0.17-argparse.patch 
#681020, #487575, 505033
Patch28: shadow-4.0.17-uids.patch 
License: BSD
Group: System Environment/Base
BuildRequires: autoconf, automake, libtool, gettext-devel
BuildRequires: libselinux-devel >= 1.25.2-1
BuildRequires: audit-libs-devel >= 1.0.10
BuildRequires: libacl-devel libattr-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: libselinux >= 1.25.2-1
Requires: audit-libs >= 1.0.10
Obsoletes: adduser

%description
The shadow-utils package includes the necessary programs for
converting UNIX password files to the shadow password format, plus
programs for managing user and group accounts. The pwconv command
converts passwords to the shadow password format. The pwunconv command
unconverts shadow passwords and generates an npasswd file (a standard
UNIX password file). The pwck command checks the integrity of password
and shadow files. The lastlog command prints out the last login times
for all users. The useradd, userdel, and usermod commands are used for
managing user accounts. The groupadd, groupdel, and groupmod commands
are used for managing group accounts.

%prep
%setup -q -n shadow-%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .noinst
%patch2 -p1 -b .vipw
%patch3 -p1 -b .goodname
%patch4 -p1 -b .newgrpPwd
%patch5 -p1 -b .lOption
#%patch6 -p1 -b .UID_GID


#replace whole file
cp %{SOURCE3} lib/nscd.c
%patch7 -p1 -b .notInheritFd

%patch8 -p1 -b .exitValues
%patch9 -p1 -b .aOption
%patch10 -p1 -b .auditLogging
%patch11 -p1 -b .useradd
%patch12 -p1 -b .mail
%patch13 -p1 -b .findNewUidOnce
%patch14 -p1 -b .duplicateGroup
%patch15 -p1 -b .sha256
#%patch16 -p1 -b .groupRoot
#%patch17 -p1 -b .uidmanip
%patch18 -p1 -b .longprint
%patch19 -p1 -b .basedir
%patch20 -p1 -b .info
%patch21 -p1 -b .useLDAPuser
%patch22 -p1 -b .negativeID
#%patch23 -p1 -b .allEnt
%patch24 -p1 -b .overflow
%patch25 -p1 -b .moshiro
%patch26 -p1 -b .acl
%patch27 -p1 -b .argparse
%patch28 -p1 -b .uids


rm po/*.gmo
rm po/stamp-po

aclocal
libtoolize --force
automake -a
autoconf

%build
%configure \
	--disable-desrpc \
	--enable-shadowgrp \
	--without-libcrack \
	--with-libcrypt \
	--with-selinux \
	--without-libpam \
	--disable-shared \
	--with-libaudit
make 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT gnulocaledir=$RPM_BUILD_ROOT/%{_datadir}/locale MKINSTALLDIRS=`pwd`/mkinstalldirs
install -d -m 755 $RPM_BUILD_ROOT/etc/default
install -c -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/login.defs
install -c -m 0600 %{SOURCE2} $RPM_BUILD_ROOT/etc/default/useradd


ln -s useradd $RPM_BUILD_ROOT%{_sbindir}/adduser
ln -s %{_mandir}/man8/useradd.8 $RPM_BUILD_ROOT/%{_mandir}/man8/adduser.8
for subdir in $RPM_BUILD_ROOT/%{_mandir}/{??,??_??,??_??.*}/man* ; do
	test -d $subdir && test -e $subdir/useradd.8 && echo ".so man8/useradd.8" > $subdir/adduser.8
done

# Remove binaries we don't use.
rm $RPM_BUILD_ROOT/%{_bindir}/chfn
rm $RPM_BUILD_ROOT/%{_bindir}/chsh
rm $RPM_BUILD_ROOT/%{_bindir}/expiry
rm $RPM_BUILD_ROOT/%{_bindir}/groups
rm $RPM_BUILD_ROOT/%{_bindir}/login
rm $RPM_BUILD_ROOT/%{_bindir}/passwd
rm $RPM_BUILD_ROOT/%{_bindir}/su
rm $RPM_BUILD_ROOT/etc/login.access
rm $RPM_BUILD_ROOT/etc/limits
rm $RPM_BUILD_ROOT/%{_sbindir}/logoutd
rm $RPM_BUILD_ROOT/%{_sbindir}/vipw
rm $RPM_BUILD_ROOT/%{_sbindir}/vigr
rm $RPM_BUILD_ROOT/%{_sbindir}/nologin
rm $RPM_BUILD_ROOT/%{_sbindir}/chgpasswd
rm $RPM_BUILD_ROOT/%{_mandir}/man1/chfn.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/chfn.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/chsh.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/chsh.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/expiry.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/expiry.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/groups.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/groups.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/login.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/login.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/passwd.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/passwd.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/su.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man1/su.*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/limits.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/limits.*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/login.access.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/login.access.*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/passwd.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/passwd.*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/porttime.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/porttime.*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/suauth.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man5/suauth.*
rm $RPM_BUILD_ROOT/%{_mandir}/man8/logoutd.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man8/logoutd.*
rm $RPM_BUILD_ROOT/%{_mandir}/man8/vipw.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man8/vipw.*
rm $RPM_BUILD_ROOT/%{_mandir}/man8/nologin.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man8/nologin.*
rm $RPM_BUILD_ROOT/%{_mandir}/man8/vigr.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man8/vigr.*
rm $RPM_BUILD_ROOT/%{_mandir}/man8/chgpasswd.*
rm $RPM_BUILD_ROOT/%{_mandir}/*/man8/chgpasswd.*

%find_lang shadow

%clean
rm -rf $RPM_BUILD_ROOT

%files -f shadow.lang
%defattr(-,root,root)
%doc NEWS doc/HOWTO README
%dir /etc/default
%attr(0644,root,root)	%config(noreplace) /etc/login.defs
%attr(0600,root,root)	%config(noreplace) /etc/default/useradd
%{_bindir}/sg
%{_bindir}/chage
%{_bindir}/faillog
%{_bindir}/gpasswd
%{_bindir}/lastlog
%{_bindir}/newgrp
%{_sbindir}/adduser
%attr(0750,root,root)	%{_sbindir}/user*
%attr(0750,root,root)	%{_sbindir}/group*
%{_sbindir}/grpck
%{_sbindir}/pwck
%{_sbindir}/*conv
%{_sbindir}/chpasswd
%{_sbindir}/newusers
%{_mandir}/man1/chage.1*
%{_mandir}/*/man1/chage.1*
%{_mandir}/man1/gpasswd.1*
%{_mandir}/*/man1/gpasswd.1*
%{_mandir}/man1/sg.1*
%{_mandir}/*/man1/sg.1*
%{_mandir}/man1/newgrp.1*
%{_mandir}/*/man1/newgrp.1*
%{_mandir}/man3/shadow.3*
%{_mandir}/*/man3/shadow.3*
%{_mandir}/man3/getspnam.3*
%{_mandir}/*/man3/getspnam.3*
%{_mandir}/man5/shadow.5*
%{_mandir}/*/man5/shadow.5*
%{_mandir}/man5/login.defs.5*
%{_mandir}/*/man5/login.defs.5*
%{_mandir}/man5/gshadow.5*
%{_mandir}/*/man5/gshadow.5*
%{_mandir}/man5/faillog.5*
%{_mandir}/*/man5/faillog.5*
%{_mandir}/man8/adduser.8*
%{_mandir}/*/man8/adduser.8*
%{_mandir}/man8/group*.8*
%{_mandir}/*/man8/group*.8*
%{_mandir}/man8/user*.8*
%{_mandir}/*/man8/user*.8*
%{_mandir}/man8/pwck.8*
%{_mandir}/*/man8/pwck.8*
%{_mandir}/man8/grpck.8*
%{_mandir}/*/man8/grpck.8*
%{_mandir}/man8/chpasswd.8*
%{_mandir}/*/man8/chpasswd.8*
%{_mandir}/man8/newusers.8*
%{_mandir}/*/man8/newusers.8*
%{_mandir}/man8/*conv.8*
%{_mandir}/*/man8/*conv.8*
%{_mandir}/man8/lastlog.8*
%{_mandir}/*/man8/lastlog.8*
%{_mandir}/man8/faillog.8*
%{_mandir}/*/man8/faillog.8*

%changelog
* Thu Dec 15 2011 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Oct 24 2011 Peter Vrabec <pvrabec@redhat.com> 2:4.0.17-18.el5_6.1
- fix sequence of arg. parsing and execution in faillog
- fix ACL support
- do not alter UIDs over 2147483647 in pwconv and pwunconv
  Resolves: #690829, #690830, #690831

* Thu Oct 14 2010 Peter Vrabec <pvrabec@redhat.com> 2:4.0.17-18
- japanese man page fix
  Resolves: #537011

* Fri Sep 24 2010 Peter Vrabec <pvrabec@redhat.com> 2:4.0.17-17
- add libacl and libattr buildrequires
  Resolves: #513055
